StandardSystemView subclass:#JavaTopView
	instanceVariableNames:'eventReceiver updateRegions javaPeer'
	classVariableNames:''
	poolDictionaries:''
	category:'Java-Views-Support'
!


!JavaTopView methodsFor:'accessing'!

delegate:anObject
"/    super delegate:anObject.
    eventReceiver := anObject.

    "Created: / 2.12.1998 / 23:32:13 / cg"
    "Modified: / 2.12.1998 / 23:57:57 / cg"
!

getNextUpdateRectangle
    |r|

    updateRegions size == 0 ifTrue:[^ nil].
    r := updateRegions removeFirst.
    updateRegions size == 0 ifTrue:[updateRegions := nil].
    ^ r

    "Created: / 2.12.1998 / 23:32:13 / cg"
!

javaPeer
    "for debugging support - here is a handle to the corresponding
     javaPeer"

    ^ javaPeer

    "Created: / 2.12.1998 / 23:32:13 / cg"
!

javaPeer:aJavaView
    "for debugging support - here is a handle to the corresponding
     javaPeer"

    javaPeer := aJavaView

    "Created: / 2.12.1998 / 23:32:13 / cg"
! !

!JavaTopView methodsFor:'event handling'!

exposeX:x y:y width:w height:h
    |ev rect|

    rect := Rectangle left:x top:y width:w height:h.

"/ 'JavaView expose' printCR.

    updateRegions isNil ifTrue:[
        updateRegions := OrderedCollection new.
    ].
    updateRegions add:rect.
    eventReceiver notNil ifTrue:[
        ev := WindowEvent 
                damageFor:self 
                rectangle:rect. 
        eventReceiver processEvent:ev.
    ].
"/    super exposeX:x y:y width:w height:h

    "Modified: / 19.10.1998 / 23:10:15 / cg"
    "Created: / 2.12.1998 / 23:32:13 / cg"
! !

!JavaTopView methodsFor:'initialization'!

initialize
    super initialize.

    self enableMotionEvents.

    "Modified: / 2.12.1998 / 23:32:30 / cg"
! !

!JavaTopView methodsFor:'queries'!

isJavaView
    ^ true

    "Created: / 4.12.1998 / 14:09:37 / cg"
! !

!JavaTopView class methodsFor:'documentation'!

version
    ^ '$Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/JavaTopView.st,v 1.4 1998/12/04 14:34:32 cg Exp $'
! !
